Bug 115414 - Debug: sleeping function called from invalid context at mm/slab.c:1856
Debug: sleeping function called from invalid context at mm/slab.c:1856
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-11 20:42 EST by Neal Becker
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-14 19:27:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Neal Becker 2004-02-11 20:42:06 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.2; Linux) (KHTML, like Gecko)

Description of problem:
After rebuilding kernel, turning on preempt (no other changes to standard fedora config):
Debug: sleeping function called from invalid context at mm/slab.c:1856
Feb 11 19:47:54 localhost kernel: in_atomic():1, irqs_disabled():0
Feb 11 19:47:54 localhost kernel: Call Trace:
Feb 11 19:47:54 localhost kernel:  [<c012776c>] __might_sleep+0xac/0xe0
Feb 11 19:47:54 localhost kernel:  [<c015ac94>] kmem_cache_alloc+0x194/0x1a0
Feb 11 19:47:54 localhost kernel:  [<c018b13f>] cdev_alloc+0x1f/0x60
Feb 11 19:47:54 localhost kernel:  [<e091a75a>] st_probe+0x3ba/0x790 [st]
Feb 11 19:47:54 localhost kernel:  [<c019ce4c>] dput+0x1c/0x710
Feb 11 19:47:54 localhost kernel:  [<c01d71c5>] create_dir+0xb5/0xc0
Feb 11 19:47:54 localhost kernel:  [<c01d7222>] sysfs_create_dir+0x32/0x70
Feb 11 19:47:54 localhost kernel:  [<c0266302>] bus_match+0x32/0x60
Feb 11 19:47:55 localhost kernel:  [<c0266429>] driver_attach+0x59/0x90
Feb 11 19:47:55 localhost kernel:  [<c0204e82>] kobject_register+0x22/0x60
Feb 11 19:47:55 localhost kernel:  [<c02666e1>] bus_add_driver+0x91/0xb0
Feb 11 19:47:55 localhost cups: cupsd startup succeeded
Feb 11 19:47:55 localhost kernel:  [<c0266b00>] driver_register+0x80/0x90
Feb 11 19:47:55 localhost kernel:  [<e08ad051>] init_st+0x51/0x8f [st]
Feb 11 19:47:55 localhost kernel:  [<c014b8c6>] sys_init_module+0x1c6/0x390
Feb 11 19:47:55 localhost kernel:  [<c010c69b>] syscall_call+0x7/0xb
Feb 11 19:47:56 localhost kernel: 

Version-Release number of selected component (if applicable):
2.6.1-1.65custom

How reproducible:
Didn't try

Steps to Reproduce:
1.boot
2.
3.
    

Additional info:
Comment 1 Dave Jones 2004-02-13 11:18:55 EST
does it happen without preempt ?
things like this are one reason we decided not to enable it.

Note You need to log in before you can comment on or make changes to this bug.